<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    
    <link type="text/css" rel="stylesheet" href="/project/faces/javax.faces.resource/theme.css?ln=primefaces-glass-x" />
    <h:form id="CreationFileattachmentTypeForm" enctype="multipart/form-data">
        <p:messages id="messages" showDetail="true" closable="true">
            <p:autoUpdate />
        </p:messages>
        <p:panel header="Upload OFFline Vouchers" style="margin-bottom:10px;">
        <h:panelGrid columns="2" cellpadding="5">
            <p:outputLabel for="provider" value="Provider: " />
            <p:selectOneMenu id="provider" value="#{fileUploadBean.selectedProvider}" style="width:150px">
                <f:selectItem itemLabel="Select Provider" itemValue="" noSelectionOption="true" />
                <f:selectItem itemLabel="Vodafone" itemValue="3" />
                <f:selectItem itemLabel="Etisalat" itemValue="1" />
            </p:selectOneMenu>
 
            <p:fileUpload value="#{fileUploadBean.file}" mode="simple" skinSimple="true"/>
        </h:panelGrid>
 
        <p:separator />
    <p:commandButton value="Submit" ajax="false" action="#{fileUploadBean.upload}" update="messages" icon="pi pi-check" />
    </p:panel>
       
    </h:form>
    
    
    
    

</html>
